Du må være registrert og logget inn for å kunne legge ut innlegg på freak.no
X
LOGG INN
... eller du kan registrere deg nå
Dette nettstedet er avhengig av annonseinntekter for å holde driften og videre utvikling igang. Vi liker ikke reklame heller, men alternativene er ikke mange. Vær snill å vurder å slå av annonseblokkering, eller å abonnere på en reklamefri utgave av nettstedet.
  3 695
Har et AL500AC nettverkskort som jeg har brukt tidligere på linux, blant annet ubuntu i 2014... der fikk jeg fint kompilert driverne og det fungerte utmerket.

Prøver på det samme med denne maskinen der hovedkortet er fra 2010 (vet ikke om det har noe å si?).

Får problemer når gcc kompilerer og kommer til

CC [M] /home/bruker/Driver/os_dep/linux/os_intfs.o
/home/bruker/Driver/os_dep/linux/os_intfs.c:1695:22: warning: initialization from incompatible pointer type [-Wincompatible-pointer-types]
.ndo_select_queue = rtw_select_queue,



Står at den initialiseres igjennom en ukompitabel pointer type.. betyr det at hovedkortet ikke støtter trådløs usb kort? Men det er i så fall rart da jeg streamer internet gjennom tlf og rett til pc
Hvilken distro er det du bruker som mangler støtte for dette kortet?
Tester ut Ubuntu GNOME nå og brukte Elementary OS i forige uke på samme system
Det er ein warning, og ikkje ein error. Dvs. det er ikkje det som evt. stopper kompileringa. Antakelig fungerer modulen heilt fint.

Det har forøvrig ingenting med hardware å gjere. Det er ein pointer av anna type. Men denslags er lovlig i C, så resultatet er altså at kompileren gir ein warning, fordi warnings er skrudd på (-Wincompatible-pointer-types er skrur på Warnings for incompatible-pointer-types.)

Så test om det funker.
Moderer